header {
    position: fixed;
    z-index: 1000;
}

nav {
    height: var(--header-height);
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 15px;
    background-color: var(--header-bg-color);
    color: var(--sub-color);
    font-size: 16px;
    overflow: hidden;
}

nav>div {
    width: 30%;
}

nav>a,
nav>a>img {
    color: var(--sub-color);
    width: 20px;
    height: 20px;
}

nav>button {
    height: 100%;
    border: none;
    outline: none;
    padding: 0 20px;
    background-color: #ff4e10;
    color: var(--sub-color);
    opacity: 0.8;
    cursor: pointer;
}

nav>button:hover {
    opacity: 1;
}

.header {
    background-color: var(--header-sub-bg-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20vw;
    height: var(--sub-header-height);
    width: 100vw;
}

.header-logo {
    height: 80px;
    width: auto;
}

.header-list {
    display: flex;
    list-style: none;
    column-gap: 25px;
}

.header-option {
    cursor: pointer;
    font-size: 14px;
    position: relative;
    color: var(--color);
    background-color: var(--bg-color);
}

.header-option:hover, .header-option-active {
    color: #ff4e10;
}

.header-option:hover>.header-sublist, .header-option > .header-sublist-active {
    opacity: 1;
    visibility: visible;
    z-index: 1000;
}

.header-option > .header-sublist-active {
    z-index: 5;
}

.header-sublist {
    opacity: 0;
    visibility: hidden;
    transition: all .5s ease;
    position: absolute;
    top: calc(100% + 10px);
    right: 0;
    list-style: none;
    width: max-content;
    background-color: var(--header-bg-color);
    color: var(--sub-color);
    border-radius: 8px;
    overflow: hidden;
}

.header-sublist>li {
    padding: 12px 18px;
    position: relative;
    transition: all .3s ease;
}

.header-sublist>li::before,
.header-sublist>li::after {
    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    background-color: #fff;
    transition: all .8s ease;
}

.header-sublist>li::before {
    top: 0;
    left: 0;
}

.header-sublist>li::after {
    bottom: 0;
    right: 0;
    transition-delay: .3s;
}

.header-sublist>li:hover {
    color: #ff6c39;
    scale: 1.02;
}

.header-sublist>li:hover::before,
.header-sublist>li:hover::after {
    width: 100%;
    background-color: #ff4e10;
}

main {
    padding-top: calc(var(--header-height) + var(--sub-header-height));
}

@media screen and (max-width: 768px) {
    nav {
        display: none;
    }

    .header {
        justify-content: center;
    }

    .header-list {
        display: none;
    }

    main {
        padding-top: var(--sub-header-height);
    }
}